Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055189 - Remove dead code path from AttachNetworkToVdsGroup
Summary: Remove dead code path from AttachNetworkToVdsGroup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.5.0
Assignee: Lior Vernia
QA Contact: bugs@ovirt.org
URL:
Whiteboard: network
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 14:04 UTC by Moti Asayag
Modified: 2016-02-10 19:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:27:42 UTC
oVirt Team: Network


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24902 None NEW engine: Remove update functionality from AttachNetworkToCluster Never

Description Moti Asayag 2014-01-19 14:04:15 UTC
Description of problem:
Before UpdateNetworkOnCluster command was introduced, the client used the AttachNetworkToVdsGroup command for setting the roles of the network within a specific cluster.

Once UpdateNetworkOnCluster was introduced and the UI enhanced it for updating network's roles within a cluster (commit 66177b84aa09c8132c539db758b3d04c6ff3a4b6), the old path of updating the network should be removed from AttachNetworkToVdsGroup.

Comment 1 Moti Asayag 2014-02-25 08:31:55 UTC
The amount of remove code is minimal, therefore will not worth the effort in the current time. Once the UI will move to work on top of the REST api, this command should be revisited.

Comment 2 Lior Vernia 2014-06-25 07:28:11 UTC
Not actually something that can be verified by QA, but I would like some regression testing to make sure things didn't break.

Basically what happens is that the GUI hasn't changed concerning attaching/detaching networks to clusters and changing their roles, but different backend commands are triggered so we'd like to make sure that all cluster network operations are still working properly.

Things to check are different combinations of attaching/detaching networks to/from clusters while changing their roles via the "Manage Cluster Networks" dialog (Network/Clusters and Cluster/Networks subtabs).

Comment 3 Sandro Bonazzola 2014-10-17 12:27:42 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.